#!/usr/bin/env python

import json, sys, pprint

infile = sys.argv[1]

splitsize = 200
filename = "data/firefoxdata%d.json"

prefix = "firefoxExtensionMap.set("
suffix = ");"

lines = [x.strip() for x in open(infile).readlines()]
lines = [x[len(prefix):] for x in lines if x.startswith(prefix)]
lines = [x[:-len(suffix)] for x in lines if x.endswith(suffix)]
lines = ["{ \"name\": " + x.replace("\",", "\", \"uris\": ", 1) + " }" for x in lines]

jsondata = "[" + ",".join(lines) + "]"

data = json.loads(jsondata)

records = [dict(v.items() + [("id", v["name"]), ("icon", "")]) for v in data]
records = sorted(records, key=lambda k: k['id'])

offset = 0
count = len(records)
filecounter = 0

while offset < count:
    fn = filename % filecounter
    nextfile = filename % (filecounter+1)
    if offset + splitsize >= count:
        nextfile = None
    data = {
        "offset": offset,
	"count": count,
	"nextfile": nextfile,
	"data": records[offset:(offset + splitsize)],
    }

    with open(fn, "w") as fp:
        json.dump(data, fp)

    filecounter += 1
    offset += splitsize
